[meego-commits] 6830: Changes to Trunk:Testing/nokia-n900-configs

Carsten V. Munk ext-carsten.munk at nomovok.com
Thu Aug 19 10:21:00 UTC 2010


Hi,
I have made the following changes to nokia-n900-configs in project Trunk:Testing. Please review and accept ASAP.

Thank You,
Carsten V. Munk

[This message was auto-generated]

---

Request #6830:

  submit:   devel:devices:n900/nokia-n900-configs(r12) -> Trunk:Testing/nokia-n900-configs


Message:
    Update to 0.6: Set up modem GPIO for ofono N900 plugin and fix duplicate evdev config

State:   new          2010-08-18T22:11:30 cvm
Comment: None



changes files:
--------------
--- nokia-n900-configs.changes
+++ nokia-n900-configs.changes
@@ -0,0 +1,8 @@
+* Thu Aug 19 2010 Markus Lehtonen <markus.lehtonen at nokia.com> - 0.6
+- Remove default evdev rule in n900-input-rules. It caused problems in
+  some cases apparently because there already is an identical (duplicate)
+  rule in MeeGo's '00-input-default.conf'.
+
+* Thu Jul 29 2010 Pekka Pessi <pekka.pessi at nokia.com> - 0.5.9
+- Added setup script for n900 modem control gpio lines
+

new:
----
  nokia-n900-cmt-gpio.init

spec files:
-----------
--- nokia-n900-configs.spec
+++ nokia-n900-configs.spec
@@ -1,5 +1,5 @@
 Name:       nokia-n900-configs
-Version:    0.5.8
+Version:    0.6
 Release:    0
 Summary:    Provides configs for Nokia N900
 License:    GPLv2
@@ -22,6 +22,8 @@
 Source16:   n900-alsamixer-set-fmrx_bypass.sh
 Source17:   n900-alsamixer-set-fmtx.sh
 
+Source18:   nokia-n900-cmt-gpio.init
+
 BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root
 ExclusiveArch: %{arm}
 
@@ -75,16 +77,21 @@
 install -m 755 %{SOURCE16} $RPM_BUILD_ROOT/usr/bin/n900-alsamixer-set-fmrx_bypass.sh
 install -m 755 %{SOURCE17} $RPM_BUILD_ROOT/usr/bin/n900-alsamixer-set-fmtx.sh
 
+install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
+install -m 644 %{SOURCE18} $RPM_BUILD_ROOT/etc/rc.d/init.d/nokia-n900-cmt-gpio
+
 %clean
 rm -rf $RPM_BUILD_ROOT
 
 %post
 /sbin/chkconfig --add nokia-n900-keys
 /sbin/chkconfig --add n900-alsamixer-settings
+/sbin/chkconfig --add nokia-n900-cmt-gpio
 
 %preun
 /sbin/chkconfig --del nokia-n900-keys
 /sbin/chkconfig --del n900-alsamixer-settings
+/sbin/chkconfig --del nokia-n900-cmt-gpio
 
 %files
 %defattr(644,root,root,-)
@@ -92,6 +99,7 @@
 %config /etc/xdg/autostart/n900-keypad.desktop
 /lib/kbd/keymaps/arm/qwerty/nokia-n900.map
 %attr(755,root,root) /etc/rc.d/init.d/nokia-n900-keys
+%attr(755,root,root) /etc/rc.d/init.d/nokia-n900-cmt-gpio
 
 %defattr(644,root,root,-)
 %config /etc/skel/.pulse/default.pa

other changes:
--------------

++++++ nokia-n900-cmt-gpio.init (new)
--- nokia-n900-cmt-gpio.init
+++ nokia-n900-cmt-gpio.init
+#!/bin/sh
+
+# Set up GPIO lines for N900 modem
+# Author: Kai Vehmanen
+
+### BEGIN INIT INFO
+# Provides:             nokia-n900-cmt-gpio
+# Default-Start:        2 3 4 5
+# Default-Stop:         0 1 6
+# Short-Description:    Nokia N900 keys
+### END INIT INFO
+
+setup_gpio()
+{
+# set up the GPIO's for N900 modem:
+echo 70 >/sys/class/gpio/export
+echo low >/sys/class/gpio/gpio70/direction
+echo 0 >/sys/class/gpio/gpio70/value
+echo 73 >/sys/class/gpio/export
+echo high >/sys/class/gpio/gpio73/direction
+echo 0 >/sys/class/gpio/gpio73/value
+echo 74 >/sys/class/gpio/export
+echo low >/sys/class/gpio/gpio74/direction
+echo 75 >/sys/class/gpio/export
+echo low >/sys/class/gpio/gpio75/direction
+echo 157 >/sys/class/gpio/export
+echo low >/sys/class/gpio/gpio157/direction
+echo 0 >/sys/class/gpio/gpio157/value
+
+# create symlinks for ofono N900 plugin
+mkdir /dev/cmt
+ln -s /sys/class/gpio/gpio70 /dev/cmt/cmt_apeslpx
+ln -s /sys/class/gpio/gpio74 /dev/cmt/cmt_en
+ln -s /sys/class/gpio/gpio73 /dev/cmt/cmt_rst_rq
+ln -s /sys/class/gpio/gpio75 /dev/cmt/cmt_rst
+ln -s /sys/class/gpio/gpio157 /dev/cmt/cmt_bsi
+}
+
+case "$1" in
+  start)
+        echo "Setting up GPIO lines for N900 modem"
+        setup_gpio
+        ;;
+  stop)
+        echo "Nothing to do..."
+        ;;
+  *)
+        echo "Usage: $0 {start|stop}"
+        exit 1
+esac
+
+exit 0

++++++ nokia-n900-input-rules.conf
--- nokia-n900-input-rules.conf
+++ nokia-n900-input-rules.conf
@@ -24,8 +24,3 @@
     Option         "Ignore" "on"
 EndSection
 
-Section "InputClass"
-        Identifier	"default"
-        Driver		"evdev"
-EndSection
-




More information about the MeeGo-commits mailing list